List all decisions for a user
get/users/{fp_id}/decisions
Preview
External ID
Locked
Request
Path parameters
fp_id·string
Query parameters
page·optional integer
Zero-based page number. Omit or use 0 for the first page; use 1 for the second page.
page_size·optional integer
Number of results per page. Values above 100 are capped at 100. Omit to use the server's configured default. Keep this fixed when requesting subsequent pages.
Response
data·array of objects
annotation·optional string
The annotation left by a human as part of this decision. Only populated for some decisions
with kind manual.
kind·string
Allowed values:
manualplaybook_runplaybook_key·optional string
reviewer_email·optional string
The email of the reviewer who made this decision. Only populated for some decisions with
kind manual.
status·string
Allowed values:
failpassnonetimestamp·string
meta·object
GET /users/{fp_id}/decisions
Response example
{
"data": [
{
"annotation": "Lorem ipsum dolor",
"kind": "manual",
"playbook_key": "pb_test_xxxxx",
"reviewer_email": "Lorem ipsum dolor",
"status": "fail",
"timestamp": "2022-01-04T12:00-07:00"
},
{
"annotation": "Lorem ipsum dolor",
"kind": "manual",
"playbook_key": "pb_test_xxxxx",
"reviewer_email": "Lorem ipsum dolor",
"status": "fail",
"timestamp": "2022-01-04T12:00-07:00"
}
],
"meta": {
"next_page": 2
}
}